Skip to main content
GET
/
v1
/
payment-transfers
/
{id}
Get single payment transfer
curl --request GET \
  --url https://api.xentfi.com/v1/payment-transfers/{id} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "refId": "<string>",
  "user": {
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>"
  },
  "tokenSymbol": "<string>",
  "tokenAddress": "<string>",
  "tokenDecimals": 123,
  "tokenAmount": "<string>",
  "senderAddress": "<string>",
  "txHash": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

id
string
required

Response

Payment transfer details

id
string<uuid>
refId
string
user
object
tokenSymbol
string
tokenAddress
string
tokenDecimals
integer
tokenAmount
string
senderAddress
string
txHash
string
status
enum<string>
Available options:
created,
active,
expired,
awaiting_payment,
partially_paid,
paid,
overpaid,
failed,
cancelled
metadata
object
createdAt
string<date-time>
updatedAt
string<date-time>